python-gtkmvc_1.99.1-1.1_all.deb


Advertisement

Description

python-gtkmvc - model-view-controller (MVC) implementation for pygtk

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: python-gtkmvc
Package version: 1.99.1
Package release: 1.1
Package architecture: all
Package type: deb
Installed size: 277 B
Download size: 46.73 KB
Official Mirror: archive.ubuntu.com
This MVC for pygtk2 helps with writing well structured code by splitting the program's code into three distinctive sections. A program written using this MVC pattern usually contains four parts: The view (providing access to the Glade widget tree), the controller (providing glue functions), the model (providing the abstract logic) and the main program (simply connecting the three parts mentioned before).

Alternatives

Provides

  • python2.7-gtkmvc

    Download

    Source package: pygtkmvc

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install python-gtkmvc deb package:
      # sudo apt-get install python-gtkmvc

    Files

    • /usr/lib/python2.7/dist-packages/python_gtkmvc-0.0.0.egg-info
    • /usr/lib/python2.7/dist-packages/gtkmvc/__init__.py
    • /usr/lib/python2.7/dist-packages/gtkmvc/controller.py
    • /usr/lib/python2.7/dist-packages/gtkmvc/model.py
    • /usr/lib/python2.7/dist-packages/gtkmvc/model_mt.py
    • /usr/lib/python2.7/dist-packages/gtkmvc/observable.py
    • /usr/lib/python2.7/dist-packages/gtkmvc/observer.py
    • /usr/lib/python2.7/dist-packages/gtkmvc/view.py
    • /usr/lib/python2.7/dist-packages/gtkmvc/adapters/__init__.py
    • /usr/lib/python2.7/dist-packages/gtkmvc/adapters/basic.py
    • /usr/lib/python2.7/dist-packages/gtkmvc/adapters/containers.py
    • /usr/lib/python2.7/dist-packages/gtkmvc/adapters/default.py
    • /usr/lib/python2.7/dist-packages/gtkmvc/progen/__init__.py
    • /usr/lib/python2.7/dist-packages/gtkmvc/progen/ctrl.py
    • /usr/lib/python2.7/dist-packages/gtkmvc/progen/globals.py
    • /usr/lib/python2.7/dist-packages/gtkmvc/progen/model.py
    • /usr/lib/python2.7/dist-packages/gtkmvc/progen/progen.glade
    • /usr/lib/python2.7/dist-packages/gtkmvc/progen/templates.py
    • /usr/lib/python2.7/dist-packages/gtkmvc/progen/view.py
    • /usr/lib/python2.7/dist-packages/gtkmvc/support/__init__.py
    • /usr/lib/python2.7/dist-packages/gtkmvc/support/decorators.py
    • /usr/lib/python2.7/dist-packages/gtkmvc/support/exceptions.py
    • /usr/lib/python2.7/dist-packages/gtkmvc/support/factories.py
    • /usr/lib/python2.7/dist-packages/gtkmvc/support/log.py
    • /usr/lib/python2.7/dist-packages/gtkmvc/support/metaclasses.py
    • /usr/lib/python2.7/dist-packages/gtkmvc/support/noconflict.py
    • /usr/lib/python2.7/dist-packages/gtkmvc/support/options.py
    • /usr/lib/python2.7/dist-packages/gtkmvc/support/utils.py
    • /usr/lib/python2.7/dist-packages/gtkmvc/support/wrappers.py
    • /usr/share/doc/python-gtkmvc/AUTHORS
    • /usr/share/doc/python-gtkmvc/NEWS.gz
    • /usr/share/doc/python-gtkmvc/README
    • /usr/share/doc/python-gtkmvc/README.Debian
    • /usr/share/doc/python-gtkmvc/changelog.Debian.gz
    • /usr/share/doc/python-gtkmvc/copyright

    Changelog

    2015-12-14 - Mattia Rizzolo <mattia@debian.org> pygtkmvc (1.99.1-1.1) unstable; urgency=medium * Non-maintainer upload. * Build using dh-python instead of python-support. Closes: #786221

    2011-03-27 - Kartik Mistry <kartik@debian.org> pygtkmvc (1.99.1-1) unstable; urgency=low * New upstream release * debian/control: + Updated to Standards-Version 3.9.1 (no changes needed) + Conflicts: python-gtkmvc (<< 1.0.1-4) not needed anymore + Added new build-depends on libjs-jquery, python-sphinx, python-gtk2 and texlive-latex-extra * debian/python-gtkmvc-doc.links: + Link to jquery.js from libjs-jquery

    2010-05-31 - Kartik Mistry <kartik@debian.org> pygtkmvc (1.99.0-2) unstable; urgency=low * debian/control: + Updated to Standards-Version 3.8.4 (no changes needed) + Added VCS-* fields * debian/copyright: + Updated as per DEP-5 specification

    2010-01-30 - Kartik Mistry <kartik@debian.org> pygtkmvc (1.99.0-1) unstable; urgency=low * New upstream release * debian/patches/01_setup.py_fix: + Added patch to fix setup.py not call gtkmvc module to get version of package, thus fix the build of package * Converted package to 3.0 (quilt) source format * debian/control: + Updated to Standards-Version 3.8.3 (no changes needed) + Added missing ${misc:Depends} in binary packages Depends fields + Wrapped up Build-Depends + Don't depends on python-all-dev, used python-all instead * debian/rules: + Cleaned up to build properly with new setup.py from upstream * debian/copyright: + Don't point to versionless symlinks of license texts + Updated copyright year of Debian package

    2009-06-25 - Kartik Mistry <kartik@debian.org> pygtkmvc (1.2.2-2) unstable; urgency=low * debian/control: + [Lintian] Updated debhelper dependency to 7.2.3 to remove unneccesary call of install-docs in postinst + Updated to Standards-Version 3.8.2 + Updated Homepage entry * debian/copyright: + Updated Debian package copyright year * debian/rules: + Used dh_prep instead of dh_clean -k

    2008-09-05 - Kartik Mistry <kartik@debian.org> pygtkmvc (1.2.2-1) unstable; urgency=low * New upstream release * debian/control: + Updated to Standards-Version 3.8.0 + Updated my maintainer email address * debian/copyright: + Added Python license for gtkmvc/support/noconflict.py file + Updated my email address

    2008-04-02 - Kartik Mistry <kartik.mistry@gmail.com> pygtkmvc (1.2.1-3) unstable; urgency=low * Provided tutorial and user-man as PDF in python-pygtkmvc-doc package instead of row tex and src files * debian/python-gtkmvc-doc.doc-base: + Provided doc-base registration file (Closes: #451671) * debian/control: + Added build-dependency on texlive and texinfo + Added dependency on doc-base for python-gtkmvc-doc

    2008-01-01 - Kartik Mistry <kartik.mistry@gmail.com> pygtkmvc (1.2.1-2) unstable; urgency=low * debian/control: + Updated Standards-Version to 3.7.3 + Updated Homepage entry + Moved python-all-dev to Build-Depends as it is required to run clean target (Policy 7.6) * debian/copyright: + Updated package copyright and year

    2007-10-24 - Kartik Mistry <kartik.mistry@gmail.com> pygtkmvc (1.2.1-1) unstable; urgency=low * New upstream release * Added debian/watch file * debian/copyright: updated author email

    2007-08-17 - Kartik Mistry <kartik.mistry@gmail.com> pygtkmvc (1.0.1-4) unstable; urgency=low * Package is splitted in two binaries python-gtkmvc and python-gtkmvc-doc as most of its parts are documentation and examples (Closes: #428664) * debian/copyright: added copyright owner of examples/mini-yoman * debian/rules: added upstream changelog now

    Advertisement
    Advertisement